FreeBSD : wolfssl -- multiple issues (9b9a5f6e-1755-11ed-adef-589cfc01894a)

medium Nessus Plugin ID 163920

Language:

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

The version of FreeBSD installed on the remote host is prior to tested version. It is, therefore, affected by multiple vulnerabilities as referenced in the 9b9a5f6e-1755-11ed-adef-589cfc01894a advisory.

- AMD EPYC Processors contain an information disclosure vulnerability in the Secure Encrypted Virtualization with Encrypted State (SEV-ES) and Secure Encrypted Virtualization with Secure Nested Paging (SEV-SNP). A local authenticated attacker could potentially exploit this vulnerability leading to leaking guest data by the malicious hypervisor. (CVE-2020-12966)

- An attacker with access to a malicious hypervisor may be able to infer data values used in a SEV guest on AMD CPUs by monitoring ciphertext values over time. (CVE-2021-46744)

- wolfSSL before 5.4.0 allows remote attackers to cause a denial of service via DTLS because a check for return-routability can be skipped. (CVE-2022-34293)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://github.com/wolfSSL/wolfssl/releases/tag/v5.4.0-stable

https://www.amd.com/en/corporate/product-security/bulletin/amd-sb-1013

https://www.amd.com/en/corporate/product-security/bulletin/amd-sb-1033

http://www.nessus.org/u?ec2b4bd9

Plugin Details

Severity: Medium

ID: 163920

File Name: freebsd_pkg_9b9a5f6e175511edadef589cfc01894a.nasl

Version: 1.2

Type: local

Published: 8/9/2022

Updated: 8/9/2022

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Low

Base Score: 2.1

Temporal Score: 1.6

Vector: AV:L/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-46744

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:wolfssl, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 8/8/2022

Vulnerability Publication Date: 2/4/2022

Reference Information

CVE: CVE-2020-12966, CVE-2021-46744, CVE-2022-34293